std::basic_ostream::sentry(3)

NAME
std::basic_ostream::sentry -

SYNOPSIS

Detailed Description

  template<typename _CharT, typename _Traits> class std::basic_ostream< _CharT, _Traits >::sentry
Objects of this class are created before all of the standard inserters are run. It is responsible for 'exception-safe prefix and suffix operations.' Additional actions may be added by the implementation, and we list them in http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/howto.html#5 under [27.6] notes.

Definition at line 356 of file ostream.

  Public Member Functions
operator bool () const
sentry (basic_ostream< _CharT, _Traits > &__os)
~sentry ()

Constructor & Destructor Documentation

  sentry (basic_ostream< _CharT, _Traits > & __os) [explicit]

The constructor performs preparatory work.

Parameters:
    os The output stream to guard.

If the stream state is good (os.good() is true), then if the stream is tied to another output stream, is.tie()->flush() is called to synchronize the output sequences.

If the stream state is still good, then the sentry state becomes true ('okay').

Definition at line 51 of file ostream.tcc.

References ios_base::failbit, basic_ios::good(), basic_ios::setstate(), and basic_ios::tie().

  ~sentry () [inline]

Possibly flushes the stream.

If ios_base::unitbuf is set in os.flags(), and std::uncaught_exception() is true, the sentry destructor calls flush() on the output stream.

Definition at line 384 of file ostream.

References ios_base::badbit, std::uncaught_exception(), and ios_base::unitbuf.

Member Function Documentation

  operator bool () const [inline]

Quick status checking.

Returns:
    The sentry state.

For ease of use, sentries may be converted to booleans. The return value is that of the sentry state (true == okay).

Definition at line 402 of file ostream.

Author

Generated automatically by Doxygen for libstdc++ from the source code.